namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Teacher extends Model
{
    protected $fillable = [
        'name',
        'user_id',
        'nric',
        'email',
        'standard_year',
        'class_name',
        'society_name',
        'sport_name',
        'status'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
