<div>
    <div class="flex justify-end mb-4">
        <button wire:click="downloadQrCodes" class="bg-indigo-500 hover:bg-indigo-600 text-white font-medium py-2 px-4 rounded-md">
            Download QR Codes
        </button>
    </div>

    <table class="w-full border-collapse">
        <thead>
            <tr>
                <th class="px-4 py-2 border-b"></th>
                <th class="px-4 py-2 border-b">Nama Pelajar</th>
                <th class="px-4 py-2 border-b">Nombor ID</th>
                <th class="px-4 py-2 border-b">Nama Kelas</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($data as $row)
                <tr>
                    <td class="px-4 py-2 border-b">
                        <input type="checkbox" wire:click="toggleRowSelection('{{ $row['idno'] }}')" class="form-checkbox h-5 w-5 text-indigo-600">
                    </td>
                    <td class="px-4 py-2 border-b">{{ $row['name'] }}</td>
                    <td class="px-4 py-2 border-b">{{ $row['idno'] }}</td>
                    <td class="px-4 py-2 border-b">{{ $row['class_year'] . $row['class_name'] }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>